cr build ugliness: shlibdeps

Bug #1195338 reported by Chad Miller on 2013-06-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Undecided
Unassigned

Bug Description

dh_shlibdeps -pchromium-browser
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libffmpeg.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libwebkit.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libTestRunner.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libskia.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsurface.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libui.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsurface.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libdbus.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libprotobuf_lite.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libdbus.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase_i18n.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgoogleurl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libcrcrypto.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libnet.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libsql.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libprotobuf_lite.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libcrssl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libsync.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libwebkit_base.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgoogleurl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libwebkit_base.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libwebkit.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libwebkit_base.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase_i18n.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libglue.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgoogleurl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libglue.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libmedia.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libglue.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgoogleurl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libnet.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libcrcrypto.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libnet.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libicui18n.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libnet.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libicuuc.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libnet.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libcrssl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libnet.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libbrowser_ui_views.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgoogleurl.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libbrowser_ui_views.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libui.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libbrowser_ui_views.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: Can't extract name and version from library name `libuser_prefs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libuser_prefs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libcc.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libcc.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libicui18n.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libicui18n.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libshell_dialogs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libshell_dialogs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libsessions.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libsessions.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libppapi_host.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libppapi_host.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libwebkit_compositor_bindings.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libwebkit_compositor_bindings.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libicuuc.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libgoogleurl.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libgoogleurl.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libnet.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libnet.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libskia.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libskia.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libmedia.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libmedia.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libweb_dialogs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libweb_dialogs.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libppapi_shared.so'
dpkg-shlibdeps: warning: Can't extract name and version from library name `libppapi_shared.so'
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libshared_memory_support.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libipc.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libskia.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libicuuc.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libicui18n.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libwebkit.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libsurface.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libppapi_shared.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libgpu.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libppapi_proxy.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libicuuc.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libskia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libskia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libcrcrypto.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libskia.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libui.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libshared_memory_support.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libffmpeg.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libmedia.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')
dpkg-shlibdeps: warning: couldn't find library libbase.so needed by debian/chromium-browser/usr/lib/chromium-browser/libs/libbase_i18n.so (ELF format: 'elf32-i386'; RPATH: '/usr/lib/chromium-browser/libs/libs')

Chad Miller (cmiller) on 2013-06-27
Changed in chromium-browser (Ubuntu):
assignee: nobody → Chad Miller (cmiller)
status: New → Confirmed
Olivier Tilloy (osomon) on 2018-03-09
Changed in chromium-browser (Ubuntu):
assignee: Chad Miller (cmiller) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers